local data = UpgradesTweakData._init_pd2_values
function UpgradesTweakData:_init_pd2_values()
	data(self, tweak_data)

	self.values.player.passive_armor_movement_penalty_multiplier = {
	0.75,
	1,--workaround
	.70,
	.60,
	0.25
	}
	self.values.player.pick_up_ammo_multiplier = {
	1.35,--default
	1.75,--default
	1,
	2
	}
	self.values.player.healing_reduction = {
	0.25,--default
	1,--default
	0
	}
	self.values.player.damage_dampener = {
	0.95,--default
	0.97,
	0.80
	}
	self.values.player.armor_multiplier = {
	1.3,
	1,
	0.6
	}
	self.values.player.extra_ammo_multiplier = {
	1.25,
	1,
	1.75
	}
	self.values.player.movement_speed_damage_health_ratio_multiplier = {
	0.2,--default
	0.30
	}
	self.values.player.movement_speed_damage_health_ratio_threshold_multiplier = {
	2,--default
	1.5
	}
	self.values.player.deploy_interact_faster = {
	0.5,--default
	0.8,
	0.05
	}
	self.values.snp.reload_speed_multiplier = {
	1.15,--default
	1,
	2.25
	}
	self.values.pistol.reload_speed_multiplier = {
	1.5,--default
	1.15,
	1.3
	}
	self.values.assault_rifle.reload_speed_multiplier = {
	1.15,--default
	1.1,
	-2
	}
	self.values.lmg.reload_speed_multiplier = {
	1.25,--default
	1.1,
	-2
	}
	self.values.shotgun.reload_speed_multiplier = {
	1.15,--default
	1.5,--default
	1.1,
	-2
	}
	self.values.smg.reload_speed_multiplier = {
	1.15,--default
	1.07,
	-2
	}
	self.values.weapon.passive_headshot_damage_multiplier = {
	1.25,--default
	1.15,
	1.75
	}
	self.values.weapon.passive_swap_speed_multiplier = {
	1.8,--default
	2,--default
	1,
	3
	}
	self.values.player.passive_always_regen_armor = {
	1.5,--default
	2,
	0.4
	}
	self.values.player.tape_loop_interact_distance_mul = {
	9000
	}
	self.values.player.mark_enemy_time_multiplier = {
	2,--default
	1.5,
	5
	}
	self.values.player.revived_health_regain = {
	1.4,--default
	1,
	0.1
	}
	self.values.player.tier_dodge_chance = {
	0.2,--default
	0.25,--default
	0.3,--default
	0,
	-0.25
	}

end

local skills = UpgradesTweakData._player_definitions
function UpgradesTweakData:_player_definitions()
	skills(self, tweak_data)

	self.definitions.gazer_ultra_headshot_buff = {
		category = "feature",
		name_id = "menu_weapon_headshot_damage_multiplier",
		upgrade = {
			category = "weapon",
			upgrade = "passive_headshot_damage_multiplier",
			value = 3}}

	self.definitions.gazer_revive_hp_debuff = {
		category = "feature",
		name_id = "menu_revived_health_regain",
		upgrade = {
			category = "player",
			upgrade = "revived_health_regain",
			value = 3}}

	self.definitions.gazer_heal_reduc = {
		category = "feature",
		name_id = "menu_player_healing_reduction",
		upgrade = {
			category = "player",
			upgrade = "healing_reduction",
			value = 3}}

	self.definitions.gazer_ammo_pickup_buff = {
		category = "feature",
		name_id = "menu_player_pick_up_ammo_multiplier",
		upgrade = {
			category = "player",
			upgrade = "pick_up_ammo_multiplier",
			value = 4}}

	self.definitions.gazer_dodge3 = {
		category = "feature",
		name_id = "menu_player_tier_dodge_chance",
		upgrade = {
			category = "player",
			upgrade = "tier_dodge_chance",
			value = 5}}

	self.definitions.gazer_instant_armor = {
		category = "feature",
		name_id = "player_always_regen_armor",
		upgrade = {
			category = "player",
			upgrade = "passive_always_regen_armor",
			value = 3}}

	self.definitions.gazer_damage_reduc = {
		category = "feature",
		name_id = "menu_player_damage_dampener",
		upgrade = {
			category = "player",
			upgrade = "damage_dampener",
			value = 3}}

	self.definitions.gazer_lmg_reload_debuff = {
		category = "feature",
		name_id = "menu_lmg_reload_speed_multiplier",
		upgrade = {
			category = "lmg",
			upgrade = "reload_speed_multiplier",
			value = 3}}

	self.definitions.gazer_shotgun_reload_debuff = {
		category = "feature",
		name_id = "menu_shotgun_reload_speed_multiplier",
		upgrade = {
			category = "shotgun",
			upgrade = "reload_speed_multiplier",
			value = 4}}

	self.definitions.gazer_smg_reload_debuff = {
		category = "feature",
		name_id = "menu_reload_speed_multiplier",
		upgrade = {
			category = "smg",
			upgrade = "reload_speed_multiplier",
			value = 3}}

	self.definitions.gazer_assaultrifle_reload_debuff = {
		category = "feature",
		name_id = "menu_assault_rifle_reload_speed_multiplier",
		upgrade = {
			category = "assault_rifle",
			upgrade = "reload_speed_multiplier",
			value = 3}}

	self.definitions.gazer_pistol_reloadbuff = {
		category = "feature",
		name_id = "menu_pistol_reload_speed",
		upgrade = {
			category = "pistol",
			upgrade = "reload_speed_multiplier",
			value = 3}}

	self.definitions.player_marked_distance_mul = {
		category = "feature",
		name_id = "menu_player_marked_distance_mul",
		upgrade = {
			category = "player",
			upgrade = "marked_distance_mul",
			value = 1}}

	self.definitions.gazer_armor_debuff = {
		category = "feature",
		name_id = "menu_player_armor_multiplier",
		upgrade = {
			category = "player",
			upgrade = "armor_multiplier",
			value = 3}}

	self.definitions.gazer_ammo_buff = {
			category = "feature",
		name_id = "menu_player_loadout_ammo_multiplier",
		upgrade = {
			category = "player",
			upgrade = "extra_ammo_multiplier",
			value = 3}}

	self.definitions.gazer_longrange_tapeloop = {
		category = "feature",
		name_id = "menu_player_tape_loop_interact_distance_mul",
		upgrade = {
			category = "player",
			upgrade = "tape_loop_interact_distance_mul",
			value = 1}}

	self.definitions.gazer_mark_timebuff = {
		category = "feature",
		name_id = "menu_player_mark_enemy_time_multiplier",
		upgrade = {
			category = "player",
			upgrade = "mark_enemy_time_multiplier",
			value = 3}}

	self.definitions.gazer_lowhealth_speedbuff = {
		category = "feature",
		name_id = "menu_player_movement_speed_damage_health_ratio_multiplier",
		upgrade = {
			category = "player",
			upgrade = "movement_speed_damage_health_ratio_multiplier",
			value = 2}}

	self.definitions.gazer_deploy_speedbuff = {
		category = "feature",
		name_id = "menu_deploy_interact_faster",
		upgrade = {
			category = "player",
			upgrade = "deploy_interact_faster",
			value = 3}}

	self.definitions.gazer_reload_speedbuff = {
		category = "feature",
		name_id = "menu_snp_reload_speed_multiplier",
		upgrade = {
			category = "snp",
			upgrade = "reload_speed_multiplier",
			value = 3}}

	self.definitions.gazer_swap_speedbuff = {
		category = "feature",
		name_id = "menu_weapon_swap_speed_multiplier",
		upgrade = {
			category = "weapon",
			upgrade = "passive_swap_speed_multiplier",
			value = 4}}

	self.definitions.gazer_extra_ecm = {
		category = "equipment_upgrade",
		name_id = "menu_ecm_jammer_quantity_1",
		upgrade = {
			category = "ecm_jammer",
			upgrade = "quantity",
			value = 1}}

	self.definitions.gazer_lowhealth_speedbuff_threshold = {
		category = "feature",
		name_id = "menu_player_movement_speed_damage_health_ratio_threshold_multiplier",
		upgrade = {
			category = "player",
			upgrade = "movement_speed_damage_health_ratio_threshold_multiplier",
			value = 2}}

	self.definitions.gazer_armor_slow = {
		category = "feature",
		name_id = "menu_passive_armor_movement_penalty_multiplier",
		upgrade = {
			category = "player",
			upgrade = "passive_armor_movement_penalty_multiplier",
			value = 5}}


end